﻿Type=Service
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private client As MqttClient
End Sub

Sub Service_Create
	client.Initialize("client", "tcp://192.168.0.30:51042", "android")
	client.Connect
End Sub

Sub client_Connected (Success As Boolean)
	Log($"connected: ${Success}"$)
	If Success Then
		client.Subscribe("image", 0)
	End If
End Sub

Sub client_MessageArrived (Topic As String, Payload() As Byte)
	If Topic = "image" Then
		Dim in As InputStream
		in.InitializeFromBytesArray(Payload, 0, Payload.Length)
		Dim bmp As Bitmap
		bmp.Initialize2(in)
		in.Close
		CallSub2(Main, "SetImage", bmp)
	End If
End Sub



Sub Service_Start (StartingIntent As Intent)
	
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
